eric ide

Issue464

Classification
Title: MIME type problem
Type: behavior Product: eric7
Process
Priority: critical    
Status: closed Resolution: implemented
Superseder: Nosy List: detlev, termim
Assigned to: Keywords:

Created on 2022-12-03.21:34:18 by termim, last changed by detlev.

Files
File Name Uploaded Description Remove
eric-mime.png termim, 2022-12-03.21:34:18
Messages (4.0)
msg1776 (view) Author: detlev Date: 2022-12-06.07:22:47
Already implemented a solution that checks a file against a (configurable) list of known 
text file patterns. For details see changelog 8ee667840224, which will be part of eric 
release 23.1.
msg1771 (view) Author: termim Date: 2022-12-05.17:50:54
The protection from loading binary files is still important. For example while debugging pymssql sometimes exception happens inside c-extension and eric offers to load so library which is not what is wanted.

So the question is is it possible to extend known MIME types in preferences dialog so eric could load these files: *.pyx, *.pxd, *.yml, *.toml?
msg1746 (view) Author: detlev Date: 2022-12-04.09:43:50
The text file type determination changed in order to prevent loading of binary files with 
no known mimetype (iaw. the mimetypes module). The previous behavior can be restore by 
checking the "Load files of unknown type" option on the Mimetypes page of the configuration 
dialog.
msg1742 (view) Author: termim Date: 2022-12-03.21:34:18
After eric7 update to 22.12 it refuses to open some files (*.pyx,*.pxd) 
and opens others in external editor (*.in, *.yml, *.toml)
History
Date User Action Args
2022-12-31 14:14:16detlevlinkissue482 superseder
2022-12-06 07:22:47detlevsetmessage_count: 3.0 -> 4.0
messages: + msg1776
resolution: implemented
status: open -> closed
2022-12-06 07:21:15detlevsetresolution: rejected -> (no value)
status: closed -> open
2022-12-05 17:50:54termimsetmessage_count: 2.0 -> 3.0
messages: + msg1771
2022-12-04 09:43:50detlevsetmessage_count: 1.0 -> 2.0
messages: + msg1746
nosy: + detlev
resolution: rejected
status: new -> closed
2022-12-03 21:34:18termimcreate